using com.hnshituo.core.webapp.vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common
{
    public class MeterBaseUnitInfoService
    {
        public RESTfulResult<List<MeterBaseUnitInfo>> doQueryWf(MeterBaseUnitInfo info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<List<MeterBaseUnitInfo>> rm = db.doOption<List<MeterBaseUnitInfo>>("meterbaseunitinfos", "/getUnitInfo", new object[] { info }, 1);

            RESTfulResult<List<MeterBaseUnitInfo>> result = new RESTfulResult<List<MeterBaseUnitInfo>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data != null && rm.Data.Count > 0)
            {
                result.Data = rm.Data;
            }
            return result;
        }
    }
}
